Component({
  data: {
    current: 0,
    list: [{
        "pagePath": "/pages/index/index",
        "text": "首页",
        "iconPath": "/static/images/tabbar/btn_ico_home_nomal@2x.png",
        "selectedIconPath": "/static/images/tabbar/btn_ico_home_pressed@2x.png"
      },
      {
        "pagePath": "/pages/total/index",
        "text": "统计",
        "iconPath": "/static/images/tabbar/btn_ico_statistics_nomal@2x.png",
        "selectedIconPath": "/static/images/tabbar/btn_ico_statistics_pressed@2x.png"
      },
      {
        "pagePath": "/pages/mine/index",
        "text": "我的",
        "iconPath": "/static/images/tabbar/btn_ico_my_nomal@2x.png",
        "selectedIconPath": "/static/images/tabbar/btn_ico_my_pressed@2x.png"
      }
    ]
  },
  attached() {},
  methods: {
    tabbarChange(e) {
      console.log(e)
      const idx = e.detail.index
      const path = e.detail.pagePath
      wx.switchTab({
        url: path,
      })
      this.setData({
        current: idx
      })
    }
  }
})