const utils = require('../../utils/util')
const form = require('../../utils/formValidation')
const util = require('../../utils/util.js');
const app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    userInfo:{},
    user: {
      username:'',
      realname:'',
      password:'',
      agentPhone:''
    }
   
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.setData({
      userInfo: app.globalData.userInfo,
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },
  formSubmit: function(e) {
    //表单规则
    let rules = [{
      name: "username",
      rule: ["required"], //可使用区间，此处主要测试功能
      msg: ["请输入账户"]
    }, {
      name: "realname",
      rule: ["required"],
      msg: ["请输入代理名称"]
    },{
      name: "agentPhone",
      rule: ["required", "isMobile"],
      msg: ["请输入代理手机号", "请输入正确的手机号"]
    },{
      name: "areaDivide",
      rule: ["required"],
      msg: ["请输入代理分成"]
    }
    ];
    //进行表单检查
    let formData = e.detail.value;
    let checkRes = form.validation(formData, rules);
    if (!checkRes) {
      var that = this
      util.request(util.api.agentAdd, that.data.user, "POST", false, true,app.globalData.token).then((res)=>{
        console.log("22222222222",res)
        if (res.code == 200) {
          wx.navigateTo({
            url: '/pages/agent/index',
          })
        }else{
          console.log("1111111111")
          util.toast(res.message)
        }
      }).catch((res) => {})
    } else {
      wx.showToast({
        title: checkRes,
        icon: "none"
      });
    }
  },
  formReset: function(e) {
    console.log("清空数据")
  },

  inputedit: function (e) {
    let _this = this;
    let dataset = e.currentTarget.dataset;
    let value = e.detail.value;
    let name = dataset.name;
    _this.data[name] = value;
    _this.setData({
      [name]: _this.data[name]
    });
  },
})