const util = require('../../utils/util.js');
const app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    deviceId:'',
    deviceInfo:{
      deviceDetail:{
        // gridNum:'',
        // productGrid:'',
        mgVmDevice:{},
        stockGrid:''
      },
      gridList:[]
    },
    productId:'',
    isStock:''
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.setData({
      deviceId: options.deviceId
    })
    this.bindDevice()
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },
  bindDevice(){
    var that = this
    util.request(util.api.queryByDeviceId, {id:that.data.deviceId}, "GET", true, true,app.globalData.token).then((res)=>{
      if (res.code == 200) {
        console.log( res.result)
        that.setData({
          deviceInfo: res.result,
        })
      }
    }).catch((res) => {})
  },
  updateIsStock(e){
    var that = this
    that.data.productId = e.currentTarget.dataset.id
    that.data.isStock = e.currentTarget.dataset.as
    util.request(util.api.editMgVmDeviceGridProduct, {deviceId:that.data.deviceId, gridId:e.currentTarget.dataset.id, isStock:that.data.isStock}, "POST", true, true,app.globalData.token).then((res)=>{
      if (res.code == 200) {
        that.bindDevice()
      }
    }).catch((res) => {})
  },
  number: function (e) {
    let value = this.validateNumber(e.detail.value)
    let inx = `deviceInfo.gridList[${e.target.dataset.index}].repairNum`
    this.setData({
      //parseInt将数字字符串转换成数字
      [inx]: parseInt(value)
    })
  },
  validateNumber(val) {
    //正则表达式指定字符串只能为数字
    return val.replace(/\D/g, '')
  },
  updateSkuStock(e){
    // console.log(e)
    var repairnum = e.currentTarget.dataset.repairnum?e.currentTarget.dataset.repairnum:0

    let data = this.data.deviceInfo.gridList[e.target.dataset.index];
    var stockCount = data.stockCount?data.stockCount:0
    var gridCount = data.gridCount?data.gridCount:0

      console.log(data)

    if((stockCount+repairnum)>gridCount){
      util.toast('超过格子可存放数量')
      return;
    }
    var that = this;
    util.request(util.api.replenishment, {gridId:e.currentTarget.dataset.id,goodsNumber:repairnum,deviceId:that.data.deviceId}, "POST", true, true,app.globalData.token).then((res)=>{
      if (res.code == 200) {
        that.bindDevice()
      }
    }).catch((res) => {})
  }
  
})