const util = require('../../utils/util.js')
const app = getApp();
Page({
  data: {
    disabled: false,
    username: "",
    password: "",
    type:"primary"
  },
  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },
  onLoad: function(options) {},
  inputedit: function (e) {
    let _this = this;
    let dataset = e.currentTarget.dataset;
    let value = e.detail.value;
    let name = dataset.name;
    _this.data[name] = value;
    _this.setData({
      [name]: _this.data[name]
    });
  },
  login: function(e) {
     
    let username = e.detail.value.username;
    let password = e.detail.value.password; 
    if (util.isNullOrEmpty(username)) {
      util.toast('请输入用户名');
      return
    } else if (util.isNullOrEmpty(password)) {
      util.toast('请输入密码');
      return
    } 
   util.request(util.api.merchantLogin, {username:username,password:password}, "POST", false, true,'').then((res)=>{
     console.log(res)
    if (res.code == 200) {
      app.globalData.isLogin = true;
      app.globalData.token = res.result.token
      app.globalData.userInfo = res.result.userInfo
      wx.setStorageSync("mg_username", username);
      util.toast("登录成功",2000, true);
      setTimeout(()=>{
        wx.reLaunch({
        url: '../index/index'
        })
      },200); 
    }else{
      util.toast(res.message);
    }
  }).catch((res) => {})
   
  },
})