// pages/role/addIntroducer.js
const utils = require('../../utils/util')
const form = require('../../utils/formValidation')
const util = require('../../utils/util.js');
const app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    userInfo:{
      realname: '',
      telephone: '',
      area: '',
      password: '000000',
      mgvmRole: 2
    },
    region: [],// 选中的数据
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },
  formSubmit: function(e) {
    //表单规则
    let rules = [{
      name: "realname",
      rule: ["required"], //可使用区间，此处主要测试功能
      msg: ["请输入介绍人姓名"]
    },{
      name: "telephone",
      rule: ["required", "isMobile"],
      msg: ["请输入电话号码", "请输入正确的手机号"]
    },{
      name: "area",
      rule: ["required"],
      msg: ["请选择所在地区"]
    }];
    //进行表单检查
    let formData = e.detail.value;
    let checkRes = form.validation(formData, rules);
    if (!checkRes) {
      // wx.showToast({
      //   title: "验证通过!",
      //   icon: "none"
      // });
      var that = this
      console.log("9999")
      console.log(that.data.userInfo)
      console.log("8888")
      util.request(util.api.addRole, that.data.userInfo, "POST", false, true,app.globalData.token).then((res)=>{
        if (res.code == 200) {
          wx.navigateTo({
            url: '/pages/role/introducerList',
          })
        }
      }).catch((res) => {})
    } else {
      wx.showToast({
        title: checkRes,
        icon: "none"
      });
      return;
    }
  },
  formReset: function(e) {
    console.log("清空数据")
  },
  bindRegionChange: function (e) {
    console.log(e.detail.value)
    console.log(e.detail.code)
    this.setData({
      region: e.detail.value
    })
    this.data.userInfo.area = this.data.region.join(" ")
  },
  // addIntroducer(){
  //   var that = this
  //   console.log("9999")
  //   console.log(that.data.userInfo)
  //   console.log("8888")
  //   util.request(util.api.addRole, that.data.userInfo, "POST", false, true,app.globalData.token).then((res)=>{
  //     if (res.code == 200) {
  //       wx.navigateTo({
  //         url: '/pages/role/introducerList',
  //       })
  //     }
  //   }).catch((res) => {})
  // },
  inputedit: function (e) {
    let _this = this;
    let dataset = e.currentTarget.dataset;
    let value = e.detail.value;
    let name = dataset.name;
    _this.data[name] = value;
    _this.setData({
      [name]: _this.data[name]
    });
  },
})