// pages/role/addOperation.js
const util = require('../../utils/util.js');
const app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    searchParams:{
      pageNo:1,
      pageSize:10,
      realname:'',
      mgvmRole:1,
    },
    operationList:[],
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.bindOperationList()
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },
  toAddOperation(){
    wx.navigateTo({
      url: '/pages/role/addOperation',
    })
  },
  toEdit(e){
    wx.navigateTo({
      url: '/pages/role/editOperation?userId='+e.currentTarget.dataset.id,
    })
  },
  bindOperationList(){
    var that = this
    util.request(util.api.roleListPage, that.data.searchParams, "GET", false, true,app.globalData.token).then((res)=>{
      if (res.code == 200) {
        that.setData({
          operationList: res.result.records,
          ["searchParams.pageNo"]: res.result.current,
          ["searchParams.pageSize"]: res.result.size,
        })
      }
    }).catch((res) => {})
  },
  searchOperation(){
    this.bindOperationList()
  },
  inputedit: function (e) {
    let _this = this;
    let dataset = e.currentTarget.dataset;
    let value = e.detail.value;
    let name = dataset.name;
    _this.data[name] = value;
    _this.setData({
      [name]: _this.data[name]
    });
  },
})