// pages/vendingMachine/index.js
const util = require('../../utils/util.js');
const app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    userInfo:{},
    deviceNum:'',
    stockDeviceNum:''
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.setData({
      userInfo: app.globalData.userInfo
    })
    this.getDeviceNum()
    this.getStockDeviceNum()
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },
  toRouter(e){
    console.log(e)
    wx.navigateTo({
      url: e.currentTarget.dataset.url,
    })
  },
  getDeviceNum(){
    var that = this
    util.request(util.api.getDeviceNum, {}, "GET", false, true,app.globalData.token).then((res)=>{
      if (res.code == 200) {
        that.setData({
          deviceNum: res.result,
        })
      }
    }).catch((res) => {})
  },
  getStockDeviceNum(){
    var that = this
    util.request(util.api.getStockDeviceNum, {}, "GET", false, true,app.globalData.token).then((res)=>{
      if (res.code == 200) {
        that.setData({
          stockDeviceNum: res.result,
        })
      }
    }).catch((res) => {})
  },
})